<?php

namespace FiloBlu\Countdown\Model;

use Magento\Framework\Model\AbstractModel;

class CountdownTranslations extends AbstractModel {

    const CACHE_TAG = 'fb_countdown';

    protected $_cacheTag = self::CACHE_TAG;

    public function __construct(
        \Magento\Store\Model\StoreManagerInterface $storemanager,
        \Magento\Framework\Model\Context $context, 
        \Magento\Framework\Registry $registry, 
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null, 
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null, 
        array $data = []
    ) {
        $this->storeManager = $storemanager;
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }

    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct() {
        $this->_init('FiloBlu\Countdown\Model\ResourceModel\CountdownTranslations');
    }

    public function loadByParentAndStoreId($parentId,$storeId)
    {
        $result = $this->getResource()->loadByParentAndStoreId($parentId,$storeId);

        if ($result) {
            $this->addData($result);
            $this->_cacheTag = self::CACHE_TAG . '_' . $parentId;
        }

        return $this;
    }

}
